## xgks 2.6.1+dfsg.2

=== src/bugs/Makefile ===
SHELL	= /bin/sh

.SUFFIXES:

.DEFAULT:	FORCE
	@case `uname -s` in \
	    HP-UX) \
		FC=fort77 export FC; \
		LD_X11='-L/usr/lib/X11R5 -lX11' export LD_X11; \
		;; \
	    SunOS) \
		LD_SOCKET=-lsocket export LD_SOCKET; \
		;; \
	esac; \
	$(MAKE) -e -f Makefile.gen $(MFLAGS) $@

FORCE:

=== src/bugs/build/Makefile ===
# $Id: Makefile,v 2.5.4.1 1993/03/10 19:44:02 steve Exp $
#
# Root Makefile for the XGKS package.

#
#	Anticipated, changeable macros (others might not work):
#
#		File protection modes for installed files:
#
BINMODE	= 775#		Programs
INCMODE	= 664#		Header-files
LIBMODE	= 664#		Libraries (both shared and unshared)
MANMODE	= 664#		man(1) pages

#
#		Compilation options:
#
COPTS	= -O -I$(OPENWINHOME)/include  # C compiler options (e.g. "-g", "-DDEBUG")
FOPTS	= -O#			Fortran compiler options (e.g. "-g")

#		Commands:
#
#FC	= f77#			Fortran compiler.  Unset => make(1) default.
#				Set to empty string => platform doesn't have
#				a Fortran compiler.
INSTALL	= install#		An install(1)-like command. Must understand
#				"-c" (copy) and "-m" (mode) options.  Under AIX,
#				this is /usr/ucb/install rather than
#				/usr/bin/install.  If you don't have install(1),
#				then try using install.sh in this directory.
RANLIB	= ranlib#		A ranlib(1)-like command.  If one doesn't exist
#				on your platform, then define it as "touch".
TBL	= tbl#			A tbl(1)-like command
TROFF	= ptroff#		A troff(1)-like command

#		The root destination-directory.  It's assumed to
#		to contain "bin", "include", "lib", and "man" 
#		subdirectories.  "/usr/local" is a possible candidate.
#
DESTDIR	= /usr/local #/ldm

#		The type of libraries to create.  Possible values are
#		"sharable" and "nonsharable".  If a makefile doesn't
#		know how to create a sharable library on the given
#		platform, then it will create a non-sharable one.
#
LIBTYPE	= sharable

#		The type of operating-system.  Known values include
#			aix_3.1,
#			domainos_10.{2,3.{2,5}}
#			nextos_2.0,
#			hpux_8.0,
#			sunos_4.{0.3,1{,.1}},
#			ultrix_4.{0,1,2}, and
#			unicos_5.1.{9,11}.
#		Needed if sharable-libraries are to be created.
#
OS	= sunos_4.1.1

#
#	End of anticipated macros
#

MY_MFLAGS	= \
		BINMODE="$(BINMODE)" \
		COPTS="$(COPTS)" \
		DESTDIR="$(DESTDIR)" \
		FC="$(FC)" \
		FOPTS="$(FOPTS)" \
		INCMODE="$(INCMODE)" \
		INSTALL="$(INSTALL)" \
		LIBMODE="$(LIBMODE)" \
		LIBTYPE="$(LIBTYPE)" \
		MANMODE="$(MANMODE)" \
		OS="$(OS)" \
		RANLIB="$(RANLIB)" \
		TBL="$(TBL)" \
		TROFF="$(TROFF)"

BINDIR		= $(DESTDIR)/bin
INCDIR		= $(DESTDIR)/include
LIBDIR		= $(DESTDIR)/lib
MANDIR		= $(DESTDIR)/man

SUBDIRS	= lib fontdb progs doc

all:	_lib _fontdb _progs _doc

install:	$(BINDIR) $(INCDIR) $(LIBDIR) \
		$(MANDIR) $(MANDIR)/man1 $(MANDIR)/man3
	@$(MAKE) $(MFLAGS) $(MY_MFLAGS) TARGET=install all

clean:
	@$(MAKE) $(MFLAGS) $(MY_MFLAGS) TARGET=clean all
	rm -f core *.log *.bak

$(BINDIR) $(INCDIR) $(LIBDIR) $(MANDIR) $(MANDIR)/man1 $(MANDIR)/man3:
	mkdir $@

_lib:
	@echo 'Changing to directory lib/'
	@cd lib; \
	$(MAKE) $(MFLAGS) $(MY_MFLAGS) $(TARGET)

_fontdb:
	@echo 'Changing to directory fontdb/'
	@cd fontdb; \
	$(MAKE) $(MFLAGS) $(MY_MFLAGS) $(TARGET)

_progs:
	@echo 'Changing to directory progs/'
	@cd progs; \
	$(MAKE) $(MFLAGS) $(MY_MFLAGS) $(TARGET)

_doc:
	@echo 'Changing to directory doc/'
	@cd doc; \
	$(MAKE) $(MFLAGS) $(MY_MFLAGS) $(TARGET)

=== src/doc/binding/Makefile ===
# Generated automatically from Makefile.in by configure.
# $Id: Makefile.in,v 2.5.4.1 1993/03/10 19:43:35 steve Exp $
#
# Makefile for the "doc/binding" subdirectory of the XGKS package.

TROFF		= ptroff
MANIFEST	= Makefile.in function_list Cbinding.src mkcbinding
name		= cbinding
document	= $(name).me
GARBAGE		= $(document) AP

all::		$(document)

hardcopy:	$(name).hc

$(document):	function_list Cbinding.src
	./mkcbinding function_list Cbinding.src > $@

# This is the master makefile.  It contains general rules.
#
# $Id: master.mk.in,v 1.1 2000/08/07 23:15:03 emmerson Exp $


.SUFFIXES:
.SUFFIXES:	.so .o .S .ln .i .c .fc .f .F .cc .l .y .cdl .nc .sh

############################################################################
# General Macros:
############################################################################
prefix		= /ichec/packages/cdms2/5.2-intel/Externals
exec_prefix	= /ichec/packages/cdms2/5.2-intel/Externals
AR		= ar
CC		= icc
CPP		= icc -E
CC_MAKEDEPEND	= icc -M
CXX		= @CXX@
FC		= 
LINT		= lint
LINTFLAGS	= -u
MAKEINFO	= @MAKEINFO@
NCDUMP		= @NCDUMP@
NCGEN		= @NCGEN@
NEQN		= neqn
OS		= linux
SHELL		= /bin/sh
TBL		= tbl
WHICH		= @WHICH@



############################################################################
# Recursive make(1)s in Subdirectories:
############################################################################

subdir_dummy_target $(SUBDIR_TARGETS):
	@echo ""
	@dir=`echo $@ | sed 's,/.*,,'`; \
	    target=`echo $@ | sed "s,$$dir/,,"`; \
	    cd $$dir && \
	    echo "making \`$$target' in directory `pwd`" && \
	    echo "" && \
	    $(MAKE) $(MFLAGS) \
		prefix=$(prefix) exec_prefix=$(exec_prefix) \
		$$target || exit 1
	@echo ""
	@echo "returning to directory `pwd`"
	@echo ""

subdirs/all \
subdirs/test \
subdirs/install \
subdirs/clean \
subdirs/distclean:	FORCE
	@case "$(SUBDIRS)" in \
	    '') ;; \
	    *)	filename=`echo $@ | sed 's:.*/::'`; \
		targets=`echo $(SUBDIRS) | tr ' ' '\012' | \
		    sed 's:$$:/'$$filename':'`; \
		$(MAKE) $$targets;; \
	esac


############################################################################
# Compilation:
############################################################################
FORTC		= /ichec/packages/cdms2/src/cdat-5.2-src/build/xgks/port/fortc/fortc

# Compile C++ code.
.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CXXCPPFLAGS) $<

# Compile FORTRAN code.
#
.f.o:
	$(FC) -c $(FFLAGS) $<
.F.o:
	ln -s $< $*.c && \
	    ($(CPP) -DUD_FORTRAN_SOURCE $(CPPFLAGS) $*.c >$*.i && \
	    sed '/^# *[0-9]/d' $*.i > $*.f) || \
	    (rm -f $*.f $*.i $*.c ; exit 1) && \
	    rm $*.i
	$(FC) -c $(FFLAGS) $*.f && rm $*.f $*.c
.F.f:
	ln -s $< $*.c && \
	    ($(CPP) -DUD_FORTRAN_SOURCE $(CPPFLAGS) $*.c >$*.i && \
	    grep -v '^#' $*.i > $@) || \
	    (rm -f $@ $*.i $*.c; exit 1) && \
	    rm $*.i $*.c
.F.i:
	ln -s $< $*.c && \
	    $(CPP) -DUD_FORTRAN_SOURCE $(CPPFLAGS) $*.c >$*.i

# Generate FORTRAN-callable C code.
#
.fc.o:
	$(FORTC) -O $(OS) $< > $*.c \
	    || ( rm -f $*.c; exit 1)
	$(CC) -c $(CFLAGS) $(CPPFLAGS) $*.c
.fc.c:
	$(FORTC) -O $(OS) $< > $@ \
	    || (rm -f $*.c; exit 1)

# Compile assembler code.
#
.S.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) $<

# Compile C code.
#
.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) $<

# Compile lex(1) code.  This rule is here to ensure the use of CPPFLAGS.
# 
.l.o:
	rm -f $*.c
	$(LEX) -t $< > $*.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS) $*.c
	rm $*.c

# C preprocess.  
#   NB: 
#	1. Line numbering information is kept.
#
.c.i:
	$(CPP) $(CPPFLAGS) $< > $@

.cdl.nc:
	$(NCGEN) -o $*.nc $*.cdl

.sh:
	cp $< $@; chmod +x $@

############################################################################
# Lint:
############################################################################
.c.ln:
	$(LINT) -c $(LINTFLAGS) $(CPPFLAGS) $<


############################################################################
# Libraries:
############################################################################
RANLIB		= ranlib
LIBDIR		= $(exec_prefix)/lib
LIB_A		= lib$(LIBRARY).a
LIBFILE		= dummy-libfile		# to silence GNU make(1)

library:		$(LIB_A)

remote_library:		$(REMOTE_LIBRARY)

# The following rule is forced because the library can be created by a
# makefile in another directory prior to the execution of the following rule.
#
$(LIB_A):		$(LIBOBJS) $(LIBOBJS2) FORCE
	$(AR) rcuv $@ $(LIBOBJS)
	case "$(LIBOBJS2)" in \
	'') ;; \
	*)  $(AR) rucv $@ $(LIBOBJS2);; \
	esac
	$(RANLIB) $@

# The following rule is for those makefiles needing to install object
# modules in a library in another directory.  They need only define 
# REMOTE_LIBRARY and LIBOBJS.  The rule is forced for the same reason as the
# $(LIB_A) rule.
#
lib_dummy $(REMOTE_LIBRARY):	$(LIBOBJS) FORCE
	$(AR) rcuv $@ $(LIBOBJS)
	$(RANLIB) $@

installed_libfiles:	FORCE
	@if [ -n "$(LIBFILES)" ]; then \
	    libfiles="$(LIBFILES)"; \
	    for libfile in $$libfiles; do \
		$(MAKE) $(MFLAGS) \
		    LIBDIR=$(LIBDIR) LIBFILE=$$libfile \
		    installed_libfile || exit 1; \
	    done; \
	else \
	    :; \
	fi

installed_library:	FORCE
	@$(MAKE) $(MFLAGS) \
	    LIBDIR=$(LIBDIR) LIBFILE=$(LIB_A) \
	    installed_libfile

# The following target decouples the previous targets from the actual rule;
# thus, eliminating extraneous make(1) messages.
#
installed_libfile:	$(LIBDIR)/$(LIBFILE)

$(LIBDIR)/dummy.a $(LIBDIR)/$(LIBFILE):	$(LIBDIR) $(LIBFILE)
	cp $(LIBFILE) $@

dummy_libdir $(LIBDIR):
	mkdir -p $@
	chmod u+rwx,g+rws,o=rx $@

LIB_SO		= lib$(LIBRARY).so.$(MAJOR_NO).$(MINOR_NO)
LIB_SA		= lib$(LIBRARY).sa.$(MAJOR_NO).$(MINOR_NO)

#library:		FORCE
#	@so_objs=`echo $(LIBOBJS) | sed 's/\.o/.so/g'`; \
#	if [ -z "$$so_objs" ]; then \
#	    :; \
#	else \
#	    $(MAKE) $(MFLAGS) $(LIB_SO) \
#		SO_OBJS="$$so_objs"; \
#	fi
#	@if [ -z "$(SA_OBJS)" ]; then \
#	    :; \
#	else \
#	    $(MAKE) $(MFLAGS) $(LIB_SA); \
#	fi

$(LIB_SO):	$(SO_OBJS)
	ld -assert pure-text $(SO_OBJS) -o $@
$(LIB_SA):	$(SA_OBJS) FORCE
	$(AR) rcuv $@ $(SA_OBJS)

.fc.so:
	$(FORTC) -O $(OS) $< > $*.c \
	    || (rm -f $*.c; exit 1)
	$(CC) -c -o $$$$.o -pic $(CFLAGS) $(CPPFLAGS) $*.c \
	    || (rm -f $$$$.o; exit 1)
	mv $$$$.o $@
.c.so:
	$(CC) -c -o $$$$.o -pic $(CFLAGS) $(CPPFLAGS) $< \
	    || (rm -f $$$$.o; exit 1)
	mv $$$$.o $@

#installed_library:	$(LIBDIR)/$(LIB_SO)
#	@if [ -z "$(SA_OBJS)" ]; then \
#	    :; \
#	else \
#	    $(MAKE) $(MFLAGS) $(LIBDIR)/$(LIB_SA); \
#	fi

$(LIBDIR)/dummy.so $(LIBDIR)/$(LIB_SO):	$(LIBDIR) $(LIB_SO)
	cp $(LIB_SO) $(LIBDIR)/$(LIB_SO)
$(LIBDIR)/dummy.sa $(LIBDIR)/$(LIB_SA):	$(LIBDIR) $(LIB_SA)
	cp $(LIB_SA) $(LIBDIR)/$(LIB_SA)


############################################################################
# Programs:
############################################################################
BINDIR		= $(exec_prefix)/bin
BINFILE		= dummy-binfile

programs:	$(PROGRAMS)
program:
	@if [ -z "$(PROGRAM)" ]; then \
	    : true; \
	else \
	    $(MAKE) $(MFLAGS) $(PROGRAM); \
	fi

dummy_prog $(PROGRAM):	$(OBJS)
	@if [ -r $@.f -o -r $@.F ]; then \
	    ld='$(FC) -o $@ $(FFLAGS)'; \
	elif [ -r $@.cc -o -r $@.C ]; then \
	    ld='$(CXX) -o $@ $(CXXFLAGS)'; \
	else \
	    ld='$(CC) -o $@ $(CFLAGS)'; \
	fi; \
	cmd="$$ld $(LDFLAGS) $(OBJS) $(LIBS)"; \
	echo $$cmd; \
	$$cmd \
	    || (rm -f $@; exit 1)

installed_programs:	FORCE
	@$(MAKE) $(MFLAGS) installed_binfiles \
	    BINDIR=$(BINDIR) BINFILES="$(PROGRAMS)"

installed_binfiles:	FORCE
	@if [ -n "$(BINFILES)" ]; then \
	    binfiles="$(BINFILES)"; \
	    for binfile in $$binfiles; do \
		$(MAKE) $(MFLAGS) \
		    BINDIR=$(BINDIR) BINFILE=$$binfile \
		    installed_binfile || exit 1; \
	    done; \
	else \
	    :; \
	fi

installed_program:	FORCE
	@$(MAKE) $(MFLAGS) \
	    BINDIR=$(BINDIR) BINFILE=$(PROGRAM) \
	    installed_binfile

# The following target decouples the previous targets from the actual rule;
# thus, eliminating extraneous make(1) messages.
#
installed_binfile:	$(BINDIR)/$(BINFILE)

$(BINDIR)/dummy $(BINDIR)/$(BINFILE):	$(BINDIR) $(BINFILE)
	cp $(BINFILE) $@

dummy_bindir $(BINDIR):
	mkdir -p $@
	chmod u+rwx,g+rws,o=rx $@

$(PROGRAM).pure:	$(OBJS)
	purify -best-effort $(PURIFYFLAGS) $(CC) -o $@ \
	    $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $(OBJS) $(LIBS)

pure:	purify

purify:		$(PROGRAM).pure FORCE
	$(MAKE) $(MFLAGS) PROGRAM=$(PROGRAM).pure test.pure.out


############################################################################
# Header files:
############################################################################
INCDIR		= $(prefix)/include
HEADER		= dummy-header		# to silence GNU make(1)

installed_headers:	FORCE
	@if [ -n "$(HEADERS)" ]; then \
	    headers="$(HEADERS)"; \
	    for header in $$headers; do \
		$(MAKE) $(MFLAGS) \
		    INCDIR=$(INCDIR) HEADER=$$header \
		    installed_header || exit 1; \
	    done; \
	else \
	    :; \
	fi

# The following target decouples the previous targets from the actual rule;
# thus, eliminating extraneous make(1) messages.
#
installed_header:	$(INCDIR)/$(HEADER)

$(INCDIR)/dummy.h $(INCDIR)/$(HEADER):	$(INCDIR) $(HEADER)
	cp $(HEADER) $@

dummy_incdir $(INCDIR):
	mkdir -p $@
	chmod u+rwx,g+rws,o=rx $@


############################################################################
# `etc/' files:
############################################################################
ETCDIR	= $(prefix)/etc
ETCFILE	= dummy-etcfile		# to silence GNU make(1)

installed_etcfiles:
	@if [ -n "$(ETCFILES)" ]; then \
	    etcfiles="$(ETCFILES)"; \
	    for etcfile in $$etcfiles; do \
		$(MAKE) $(MFLAGS) \
		    ETCDIR=$(ETCDIR) ETCFILE=$$etcfile \
		    installed_etcfile || exit 1; \
	    done; \
	else \
	    :; \
	fi

# The following target decouples the previous targets from the actual rule;
# thus, eliminating extraneous make(1) messages.
#
installed_etcfile:	$(ETCDIR)/$(ETCFILE)

$(ETCDIR)/dummy $(ETCDIR)/$(ETCFILE):	$(ETCDIR) $(ETCFILE)
	cp $(ETCFILE) $@

dummy_etcdir $(ETCDIR):
	mkdir -p $@
	chmod u+rwx,g+rws,o=rx $@


############################################################################
# Manual Pages:
############################################################################
MANDIR		= $(prefix)/man
MANUAL		= dummy-manual	# to slience GNU make
WHATIS		= whatis
# The following macro should be empty on systems that don't
# allow users to create their own manual-page indexes.
MAKEWHATIS_CMD	= 

installed_manuals:	FORCE
	@if [ -n "$(MANUALS)" ]; then \
	    manuals="$(MANUALS)"; \
	    for manual in $$manuals; do \
		extension=`echo $$manual | sed 's/[^.]*\.//'`; \
		chapter=`echo $$extension | sed 's/\(.\).*/\1/'`; \
		subchapter=`echo $$extension | sed 's/.//'`; \
		mandir=$(MANDIR)/man$$chapter; \
		$(MAKE) $(MFLAGS) \
		    MANDIR=$$mandir MANUAL=$$manual \
		    installed_manual || exit 1; \
	    done; \
	else \
	    :; \
	fi

# The following target decouples the previous targets from the actual rule;
# thus, eliminating extraneous make(1) messages.
#
installed_manual:	$(MANDIR)/$(MANUAL)

# The first sed(1) editing command in the following replaces the expanded
# RCS keyword `$Date ...' in the `.TH' macro line with something more 
# appropriate to a manual page.
#
# We don't preprocess the manual page with tbl(1) and neqn(1) on OSF1
# IRIX, and HP-UX systems because their man(1) always does that.
#
# NB: Manual pages like `man3/udunits.3f' cause the subdirectory man3f/
# to be created as a symbolic link to man3/.  This accomodates
# operating-systems like SunOS 5.4 which require files like *.3f to be in
# their own man3f/ subdirectory.
#
$(MANDIR)/dummy.man $(MANDIR)/$(MANUAL):	$(MANDIR) $(MANUAL)
	case `uname -s` in \
	    OSF1*|IRIX*|HP-UX) \
		sed \
     -e '/^\.TH/s/$$D\ate: \([0-9]*\)\/\([0-9]*\)\/\([0-9]*\).*\$$/\1-\2-\3/'\
		 $(MANUAL) > $@;; \
	    *) \
		sed \
     -e '/^\.TH/s/$$D\ate: \([0-9]*\)\/\([0-9]*\)\/\([0-9]*\).*\$$/\1-\2-\3/'\
		 $(MANUAL) | $(TBL) | $(NEQN) > $@;; \
	esac
	extension=`echo $(MANUAL) | sed 's/[^.]*\.//'`; \
	subchapter=`echo $$extension | sed 's/.//'`; \
	case "$$subchapter" in \
	    '') ;; \

=== src/doc/userdoc/Makefile ===
# Generated automatically from Makefile.in by configure.
# $Id: Makefile.in,v 2.5.4.1 1993/03/10 19:43:36 steve Exp $
#
# Makefile for the "doc/userdoc" subdirectory of the XGKS package.

TBL		= tbl
TROFF		= ptroff
NAME		= userdoc
MANIFEST	= Makefile.in userdoc.me

all::

hardcopy:	userdoc.hc

userdoc.hc:	userdoc.me
	$(TBL) $? | $(TROFF) -me

# This is the master makefile.  It contains general rules.
#
# $Id: master.mk.in,v 1.1 2000/08/07 23:15:03 emmerson Exp $


.SUFFIXES:
.SUFFIXES:	.so .o .S .ln .i .c .fc .f .F .cc .l .y .cdl .nc .sh

############################################################################
# General Macros:
############################################################################
prefix		= /ichec/packages/cdms2/5.2-intel/Externals
exec_prefix	= /ichec/packages/cdms2/5.2-intel/Externals
AR		= ar
CC		= icc
CPP		= icc -E
CC_MAKEDEPEND	= icc -M
CXX		= @CXX@
FC		= 
LINT		= lint
LINTFLAGS	= -u
MAKEINFO	= @MAKEINFO@
NCDUMP		= @NCDUMP@
NCGEN		= @NCGEN@
NEQN		= neqn
OS		= linux
SHELL		= /bin/sh
TBL		= tbl
WHICH		= @WHICH@



############################################################################
# Recursive make(1)s in Subdirectories:
############################################################################

subdir_dummy_target $(SUBDIR_TARGETS):
	@echo ""
	@dir=`echo $@ | sed 's,/.*,,'`; \
	    target=`echo $@ | sed "s,$$dir/,,"`; \
	    cd $$dir && \
	    echo "making \`$$target' in directory `pwd`" && \
	    echo "" && \
	    $(MAKE) $(MFLAGS) \
		prefix=$(prefix) exec_prefix=$(exec_prefix) \
		$$target || exit 1
	@echo ""
	@echo "returning to directory `pwd`"
	@echo ""

subdirs/all \
subdirs/test \
subdirs/install \
subdirs/clean \
subdirs/distclean:	FORCE
	@case "$(SUBDIRS)" in \
	    '') ;; \
	    *)	filename=`echo $@ | sed 's:.*/::'`; \
		targets=`echo $(SUBDIRS) | tr ' ' '\012' | \
		    sed 's:$$:/'$$filename':'`; \
		$(MAKE) $$targets;; \
	esac


############################################################################
# Compilation:
############################################################################
FORTC		= /ichec/packages/cdms2/src/cdat-5.2-src/build/xgks/port/fortc/fortc

# Compile C++ code.
.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CXXCPPFLAGS) $<

# Compile FORTRAN code.
#
.f.o:
	$(FC) -c $(FFLAGS) $<
.F.o:
	ln -s $< $*.c && \
	    ($(CPP) -DUD_FORTRAN_SOURCE $(CPPFLAGS) $*.c >$*.i && \
	    sed '/^# *[0-9]/d' $*.i > $*.f) || \
	    (rm -f $*.f $*.i $*.c ; exit 1) && \
	    rm $*.i
	$(FC) -c $(FFLAGS) $*.f && rm $*.f $*.c
.F.f:
	ln -s $< $*.c && \
	    ($(CPP) -DUD_FORTRAN_SOURCE $(CPPFLAGS) $*.c >$*.i && \
	    grep -v '^#' $*.i > $@) || \
	    (rm -f $@ $*.i $*.c; exit 1) && \
	    rm $*.i $*.c
.F.i:
	ln -s $< $*.c && \
	    $(CPP) -DUD_FORTRAN_SOURCE $(CPPFLAGS) $*.c >$*.i

# Generate FORTRAN-callable C code.
#
.fc.o:
	$(FORTC) -O $(OS) $< > $*.c \
	    || ( rm -f $*.c; exit 1)
	$(CC) -c $(CFLAGS) $(CPPFLAGS) $*.c
.fc.c:
	$(FORTC) -O $(OS) $< > $@ \
	    || (rm -f $*.c; exit 1)

# Compile assembler code.
#
.S.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) $<

# Compile C code.
#
.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) $<

# Compile lex(1) code.  This rule is here to ensure the use of CPPFLAGS.
# 
.l.o:
	rm -f $*.c
	$(LEX) -t $< > $*.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS) $*.c
	rm $*.c

# C preprocess.  
#   NB: 
#	1. Line numbering information is kept.
#
.c.i:
	$(CPP) $(CPPFLAGS) $< > $@

.cdl.nc:
	$(NCGEN) -o $*.nc $*.cdl

.sh:
	cp $< $@; chmod +x $@

############################################################################
# Lint:
############################################################################
.c.ln:
	$(LINT) -c $(LINTFLAGS) $(CPPFLAGS) $<


############################################################################
# Libraries:
############################################################################
RANLIB		= ranlib
LIBDIR		= $(exec_prefix)/lib
LIB_A		= lib$(LIBRARY).a
LIBFILE		= dummy-libfile		# to silence GNU make(1)

library:		$(LIB_A)

remote_library:		$(REMOTE_LIBRARY)

# The following rule is forced because the library can be created by a
# makefile in another directory prior to the execution of the following rule.
#
$(LIB_A):		$(LIBOBJS) $(LIBOBJS2) FORCE
	$(AR) rcuv $@ $(LIBOBJS)
	case "$(LIBOBJS2)" in \
	'') ;; \
	*)  $(AR) rucv $@ $(LIBOBJS2);; \
	esac
	$(RANLIB) $@

# The following rule is for those makefiles needing to install object
# modules in a library in another directory.  They need only define 
# REMOTE_LIBRARY and LIBOBJS.  The rule is forced for the same reason as the
# $(LIB_A) rule.
#
lib_dummy $(REMOTE_LIBRARY):	$(LIBOBJS) FORCE
	$(AR) rcuv $@ $(LIBOBJS)
	$(RANLIB) $@

installed_libfiles:	FORCE
	@if [ -n "$(LIBFILES)" ]; then \
	    libfiles="$(LIBFILES)"; \
	    for libfile in $$libfiles; do \
		$(MAKE) $(MFLAGS) \
		    LIBDIR=$(LIBDIR) LIBFILE=$$libfile \
		    installed_libfile || exit 1; \
	    done; \
	else \
	    :; \
	fi

installed_library:	FORCE
	@$(MAKE) $(MFLAGS) \
	    LIBDIR=$(LIBDIR) LIBFILE=$(LIB_A) \
	    installed_libfile

# The following target decouples the previous targets from the actual rule;
# thus, eliminating extraneous make(1) messages.
#
installed_libfile:	$(LIBDIR)/$(LIBFILE)

$(LIBDIR)/dummy.a $(LIBDIR)/$(LIBFILE):	$(LIBDIR) $(LIBFILE)
	cp $(LIBFILE) $@

dummy_libdir $(LIBDIR):
	mkdir -p $@
	chmod u+rwx,g+rws,o=rx $@

LIB_SO		= lib$(LIBRARY).so.$(MAJOR_NO).$(MINOR_NO)
LIB_SA		= lib$(LIBRARY).sa.$(MAJOR_NO).$(MINOR_NO)

#library:		FORCE
#	@so_objs=`echo $(LIBOBJS) | sed 's/\.o/.so/g'`; \
#	if [ -z "$$so_objs" ]; then \
#	    :; \
#	else \
#	    $(MAKE) $(MFLAGS) $(LIB_SO) \
#		SO_OBJS="$$so_objs"; \
#	fi
#	@if [ -z "$(SA_OBJS)" ]; then \
#	    :; \
#	else \
#	    $(MAKE) $(MFLAGS) $(LIB_SA); \
#	fi

$(LIB_SO):	$(SO_OBJS)
	ld -assert pure-text $(SO_OBJS) -o $@
$(LIB_SA):	$(SA_OBJS) FORCE
	$(AR) rcuv $@ $(SA_OBJS)

.fc.so:
	$(FORTC) -O $(OS) $< > $*.c \
	    || (rm -f $*.c; exit 1)
	$(CC) -c -o $$$$.o -pic $(CFLAGS) $(CPPFLAGS) $*.c \
	    || (rm -f $$$$.o; exit 1)
	mv $$$$.o $@
.c.so:
	$(CC) -c -o $$$$.o -pic $(CFLAGS) $(CPPFLAGS) $< \
	    || (rm -f $$$$.o; exit 1)
	mv $$$$.o $@

#installed_library:	$(LIBDIR)/$(LIB_SO)
#	@if [ -z "$(SA_OBJS)" ]; then \
#	    :; \
#	else \
#	    $(MAKE) $(MFLAGS) $(LIBDIR)/$(LIB_SA); \
#	fi

$(LIBDIR)/dummy.so $(LIBDIR)/$(LIB_SO):	$(LIBDIR) $(LIB_SO)
	cp $(LIB_SO) $(LIBDIR)/$(LIB_SO)
$(LIBDIR)/dummy.sa $(LIBDIR)/$(LIB_SA):	$(LIBDIR) $(LIB_SA)
	cp $(LIB_SA) $(LIBDIR)/$(LIB_SA)


############################################################################
# Programs:
############################################################################
BINDIR		= $(exec_prefix)/bin
BINFILE		= dummy-binfile

programs:	$(PROGRAMS)
program:
	@if [ -z "$(PROGRAM)" ]; then \
	    : true; \
	else \
	    $(MAKE) $(MFLAGS) $(PROGRAM); \
	fi

dummy_prog $(PROGRAM):	$(OBJS)
	@if [ -r $@.f -o -r $@.F ]; then \
	    ld='$(FC) -o $@ $(FFLAGS)'; \
	elif [ -r $@.cc -o -r $@.C ]; then \
	    ld='$(CXX) -o $@ $(CXXFLAGS)'; \
	else \
	    ld='$(CC) -o $@ $(CFLAGS)'; \
	fi; \
	cmd="$$ld $(LDFLAGS) $(OBJS) $(LIBS)"; \
	echo $$cmd; \
	$$cmd \
	    || (rm -f $@; exit 1)

installed_programs:	FORCE
	@$(MAKE) $(MFLAGS) installed_binfiles \
	    BINDIR=$(BINDIR) BINFILES="$(PROGRAMS)"

installed_binfiles:	FORCE
	@if [ -n "$(BINFILES)" ]; then \
	    binfiles="$(BINFILES)"; \
	    for binfile in $$binfiles; do \
		$(MAKE) $(MFLAGS) \
		    BINDIR=$(BINDIR) BINFILE=$$binfile \
		    installed_binfile || exit 1; \
	    done; \
	else \
	    :; \
	fi

installed_program:	FORCE
	@$(MAKE) $(MFLAGS) \
	    BINDIR=$(BINDIR) BINFILE=$(PROGRAM) \
	    installed_binfile

# The following target decouples the previous targets from the actual rule;
# thus, eliminating extraneous make(1) messages.
#
installed_binfile:	$(BINDIR)/$(BINFILE)

$(BINDIR)/dummy $(BINDIR)/$(BINFILE):	$(BINDIR) $(BINFILE)
	cp $(BINFILE) $@

dummy_bindir $(BINDIR):
	mkdir -p $@
	chmod u+rwx,g+rws,o=rx $@

$(PROGRAM).pure:	$(OBJS)
	purify -best-effort $(PURIFYFLAGS) $(CC) -o $@ \
	    $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $(OBJS) $(LIBS)

pure:	purify

purify:		$(PROGRAM).pure FORCE
	$(MAKE) $(MFLAGS) PROGRAM=$(PROGRAM).pure test.pure.out


############################################################################
# Header files:
############################################################################
INCDIR		= $(prefix)/include
HEADER		= dummy-header		# to silence GNU make(1)

installed_headers:	FORCE
	@if [ -n "$(HEADERS)" ]; then \
	    headers="$(HEADERS)"; \
	    for header in $$headers; do \
		$(MAKE) $(MFLAGS) \
		    INCDIR=$(INCDIR) HEADER=$$header \
		    installed_header || exit 1; \
	    done; \
	else \
	    :; \
	fi

# The following target decouples the previous targets from the actual rule;
# thus, eliminating extraneous make(1) messages.
#
installed_header:	$(INCDIR)/$(HEADER)

$(INCDIR)/dummy.h $(INCDIR)/$(HEADER):	$(INCDIR) $(HEADER)
	cp $(HEADER) $@

dummy_incdir $(INCDIR):
	mkdir -p $@
	chmod u+rwx,g+rws,o=rx $@


############################################################################
# `etc/' files:
############################################################################
ETCDIR	= $(prefix)/etc
ETCFILE	= dummy-etcfile		# to silence GNU make(1)

installed_etcfiles:
	@if [ -n "$(ETCFILES)" ]; then \
	    etcfiles="$(ETCFILES)"; \
	    for etcfile in $$etcfiles; do \
		$(MAKE) $(MFLAGS) \
		    ETCDIR=$(ETCDIR) ETCFILE=$$etcfile \
		    installed_etcfile || exit 1; \
	    done; \
	else \
	    :; \
	fi

# The following target decouples the previous targets from the actual rule;
# thus, eliminating extraneous make(1) messages.
#
installed_etcfile:	$(ETCDIR)/$(ETCFILE)

$(ETCDIR)/dummy $(ETCDIR)/$(ETCFILE):	$(ETCDIR) $(ETCFILE)
	cp $(ETCFILE) $@

dummy_etcdir $(ETCDIR):
	mkdir -p $@
	chmod u+rwx,g+rws,o=rx $@


############################################################################
# Manual Pages:
############################################################################
MANDIR		= $(prefix)/man
MANUAL		= dummy-manual	# to slience GNU make
WHATIS		= whatis
# The following macro should be empty on systems that don't
# allow users to create their own manual-page indexes.
MAKEWHATIS_CMD	= 

installed_manuals:	FORCE
	@if [ -n "$(MANUALS)" ]; then \
	    manuals="$(MANUALS)"; \
	    for manual in $$manuals; do \
		extension=`echo $$manual | sed 's/[^.]*\.//'`; \
		chapter=`echo $$extension | sed 's/\(.\).*/\1/'`; \
		subchapter=`echo $$extension | sed 's/.//'`; \
		mandir=$(MANDIR)/man$$chapter; \
		$(MAKE) $(MFLAGS) \
		    MANDIR=$$mandir MANUAL=$$manual \
		    installed_manual || exit 1; \
	    done; \
	else \
	    :; \
	fi

# The following target decouples the previous targets from the actual rule;
# thus, eliminating extraneous make(1) messages.
#
installed_manual:	$(MANDIR)/$(MANUAL)

# The first sed(1) editing command in the following replaces the expanded
# RCS keyword `$Date ...' in the `.TH' macro line with something more 
# appropriate to a manual page.
#
# We don't preprocess the manual page with tbl(1) and neqn(1) on OSF1
# IRIX, and HP-UX systems because their man(1) always does that.
#
# NB: Manual pages like `man3/udunits.3f' cause the subdirectory man3f/
# to be created as a symbolic link to man3/.  This accomodates
# operating-systems like SunOS 5.4 which require files like *.3f to be in
# their own man3f/ subdirectory.
#
$(MANDIR)/dummy.man $(MANDIR)/$(MANUAL):	$(MANDIR) $(MANUAL)
	case `uname -s` in \
	    OSF1*|IRIX*|HP-UX) \
		sed \
     -e '/^\.TH/s/$$D\ate: \([0-9]*\)\/\([0-9]*\)\/\([0-9]*\).*\$$/\1-\2-\3/'\
		 $(MANUAL) > $@;; \
	    *) \
		sed \
     -e '/^\.TH/s/$$D\ate: \([0-9]*\)\/\([0-9]*\)\/\([0-9]*\).*\$$/\1-\2-\3/'\
		 $(MANUAL) | $(TBL) | $(NEQN) > $@;; \
	esac
	extension=`echo $(MANUAL) | sed 's/[^.]*\.//'`; \
	subchapter=`echo $$extension | sed 's/.//'`; \
	case "$$subchapter" in \
	    '') ;; \
	    *)  chapter=`echo $$extension | sed 's/\(.\).*/\1/'`; \
		if test -d $(MANDIR)$$subchapter; then \
		    : true; \
		else \

=== src/lib/iso-c/Makefile ===
# Makefile for the ISO C-binding of XGKS
#
# $Id: Makefile,v 1.2 2000/08/01 18:19:59 steve Exp $

LIBRARY		= xgks

CPPFLAGS	= -I../../port -I../lib
CFLAGS		= -g

HEADERS		= gks.h
csrcs		= act_ws.c aspect_flags.c cellarray.c choice.c colours.c \
		  deferral_ws.c escape.c event.c externinit.c fillarea.c \
		  gdp.c ggdp.c gks_error.c input.c inqWDT.c \
		  inqfillareas.c inqpixel.c inqpmarker.c inqpolylines.c \
		  inqtext.c inqtransform.c inquiries.c locator.c \
		  message.c metafile.c mkerrmsg.c open_gks.c open_ws.c pick.c \
		  polylines.c polymarkers.c prmgr.c segments.c string.c \
		  stroke.c text.c transforms.c umalloc.c update.c \
		  valuator.c
LIBOBJS		= act_ws.o aspect_flags.o cellarray.o choice.o colours.o \
		  deferral_ws.o escape.o event.o externinit.o fillarea.o \
		  gdp.o ggdp.o gks_error.o input.o inqWDT.o \
		  inqfillareas.o inqpixel.o inqpmarker.o inqpolylines.o \
		  inqtext.o inqtransform.o inquiries.o locator.o \
		  message.o metafile.o open_gks.o open_ws.o pick.o \
		  polylines.o polymarkers.o prmgr.o segments.o string.o \
		  stroke.o text.o transforms.o umalloc.o update.o \
		  valuator.o

MANIFEST	= Makefile.in depend $(HEADERS) $(headers) $(csrcs)

all::		library 

install::	installed_library installed_headers

include ../../port/master.mk

### Everything after the following line might be overwritten ###
### DO NOT DELETE THIS LINE.  make depend DEPENDS ON IT ###
open_gks.o: open_gks.c
open_gks.o: ./gks.h
open_gks.o: ./xgks.h
open_ws.o: open_ws.c
open_ws.o: ./gks.h
open_ws.o: ./xgks.h

=== src/progs/Logo/Makefile ===
#
# XXXX-XXX (C) COPYRIGHT IBM CORPORATION 1988
# LICENSED MATERIALS - PROPERTY OF IBM
# REFER TO COPYRIGHT INSTRUCTIONS FORM NUMBER G120-2083
#
#	XGKS demos make script
#
# $Header: /cvsroot/xgks/xgks/progs/Logo/Makefile,v 2.5.4.1 1993/03/10 19:43:12 steve Exp $

H = /usr/include 
LIBS = ../lib/libxgks.a -lX11 -lm

CFLAGS = -I$(H) -I/andrew/Xgks/source/xgks/include 

SRCS = bsort.c clock.c defcolors.c font.c hanoi.c mi.c pline.c pmark.c usa.c wong.c
BINS = bsort clock defcolors font hanoi mi pline pmark usa wong

SUBDIRS = Logo example sled stratego Music Backgammon

all: $(BINS)
	@for i in $(SUBDIRS); do \
		(echo '*** making: '`pwd`'/'$$i; \
		cd $$i; make $(MFLAGS) all; \
		echo '*** done making: '`pwd`'/'$$i ) done

install:

cleanbins:	clean
	-rm -f $(BINS)

clean:
	-rm *.o core 
	@for i in $(SUBDIRS); do \
		(echo '*** making: '`pwd`'/'$$i; \
		cd $$i; make $(MFLAGS) clean; \
		echo '*** done making: '`pwd`'/'$$i ) done

#
depend:
	co -l Makefile
	@for i in $(BINS); do \
	    $(CC) -M $(CFLAGS) $$i.c | sort | uniq | \
	    awk ' { if ($$1 != prev) \
		{ if (rec != "") print rec; rec = $$0; prev = $$1; } \
		else { if (length(rec $$2) > 78) { print rec; rec = $$0; }\
		else rec = rec " " $$2 } } \
		END { print rec } ' >> makedep; \
	    echo "$$i : $$i.o" >> makedep; \
	    echo "	$$(CC) $$(CFLAGS) -o \$$@ \$$@.o $$(LIBS)" >> makedep; \
	    echo "" >> makedep; done	
	echo '/^# DO NOT DELETE THIS LINE/+2,$$d' >eddep
	echo '$$r makedep' >>eddep
	echo 'w' >>eddep
	cp Makefile Makefile.bak
	ed - Makefile < eddep
	rm eddep makedep 
	echo '# DEPENDENCIES MUST END AT END OF FILE' >> Makefile
	echo '# IF YOU PUT STUFF HERE IT WILL GO AWAY' >> Makefile
	echo '# see make depend above' >> Makefile
	ci -f -q -m"make depend" -u Makefile

# DO NOT DELETE THIS LINE -- make depend uses it
# DEPENDENCIES MUST END AT END OF FILE
bsort.o: ./demo.h /usr/include/stdio.h /usr/include/string.h
bsort.o: /usr/include/strings.h /usr/include/sys/time.h /usr/include/time.h
bsort.o: /usr/include/xgks.h bsort.c
bsort : bsort.o
	$(CC) $(CFLAGS) -o $@ $@.o $(LIBS)

clock.o: /usr/include/setjmp.h /usr/include/signal.h /usr/include/stdio.h
clock.o: /usr/include/sys/nfs_defines.h /usr/include/xgks.h clock.c
clock : clock.o
	$(CC) $(CFLAGS) -o $@ $@.o $(LIBS)

defcolors.o: ./demo.h /usr/include/stdio.h /usr/include/xgks.h defcolors.c
defcolors : defcolors.o
	$(CC) $(CFLAGS) -o $@ $@.o $(LIBS)

font.o: ./demo.h /usr/include/stdio.h /usr/include/xgks.h font.c
font : font.o
	$(CC) $(CFLAGS) -o $@ $@.o $(LIBS)

hanoi.o: ./demo.h /usr/include/math.h /usr/include/stdio.h /usr/include/xgks.h
hanoi.o: hanoi.c
hanoi : hanoi.o
	$(CC) $(CFLAGS) -o $@ $@.o $(LIBS)

mi.o: ./demo.h /usr/include/stdio.h /usr/include/xgks.h mi.c
mi : mi.o
	$(CC) $(CFLAGS) -o $@ $@.o $(LIBS)

pline.o: /usr/include/stdio.h /usr/include/xgks.h pline.c
pline : pline.o
	$(CC) $(CFLAGS) -o $@ $@.o $(LIBS)

pmark.o: /usr/include/stdio.h /usr/include/xgks.h pmark.c
pmark : pmark.o
	$(CC) $(CFLAGS) -o $@ $@.o $(LIBS)

usa.o: ./demo.h /usr/include/stdio.h /usr/include/strings.h /usr/include/xgks.h
usa.o: usa.c
usa : usa.o
	$(CC) $(CFLAGS) -o $@ $@.o $(LIBS)

wong.o: ./demo.h /usr/include/stdio.h /usr/include/xgks.h wong.c
wong : wong.o
	$(CC) $(CFLAGS) -o $@ $@.o $(LIBS)

# DEPENDENCIES MUST END AT END OF FILE
# IF YOU PUT STUFF HERE IT WILL GO AWAY
# see make depend above

=== src/progs/example/Makefile ===
#
# XXXX-XXX (C) COPYRIGHT IBM CORPORATION 1988
# LICENSED MATERIALS - PROPERTY OF IBM
# REFER TO COPYRIGHT INSTRUCTIONS FORM NUMBER G120-2083
#
#
all: hello

hello: hello.c
	cc hello.c -I../../include -o hello ../../lib/libxgks.a -lX11 -lm

install:

clean:
	-rm -f hello.o hello

=== src/progs/sledsrc/Makefile ===
# makefile for graphic editor xGKS version

# home directory for graphics related work
PROJ = /mntm/1/kubitz/graphics

IHDIR = /andrew/Xgks/source/xgks/include
INCLUDES = -I$(IHDIR)
#CFLAGS = -g
CFLAGS = $(INCLUDES)
LFLAGS = -vxu

# matrix film recorder library
# MATRIX = $(PROJ)/matrix/lib/libmatrix

# for the loader
CLIBDIR = /andrew/Xgks/source/xgks/lib
LIBS = $(CLIBDIR)/libxgks.a -lX11 -lm  

INC = add_objects_func.h clr_selector.h \
	clr_selector_draw.h clr_selector_func.h clr_selector_key.h \
	changes.h color.h \
	conversions.h defs.h draw.h \
	func.h functbl.h key.h \
	menu.h object_defs.h object_tbl.h \
	objects.h objects_func.h palette.h \
	popup.h screen_items.h trans.h ws.h
# attributes.h	debug.h
SRC = add_objects.c add_objects_subs.c \
	clr_selector_draw.c \
	clr_selector_exec.c color.c \
	conversions.c draw.c draw_menu.c \
	draw_palette.c dummies.c edit_picture.c \
	error.c functbl.c \
	grid.c \
	init_tbls.c input.c \
	io.c main.c main_menu.c \
	menu.c object_list.c object_tbl.c \
	objects_copy.c \
	objects_detect.c objects_draw.c objects_free.c \
	objects_rotate.c \
	palette.c photodummy.c \
	picture.c popup.c prompt.c \
	read_input.c read_menu.c \
	screen_items.c trans.c trans_subs.c undo.c \
	write_output.c
# attributes.c
# photo.c
OBJ = add_objects.o add_objects_subs.o\
	clr_selector_draw.o \
	clr_selector_exec.o color.o \
	conversions.o draw.o draw_menu.o \
	draw_palette.o dummies.o edit_picture.o \
	error.o functbl.o \
	grid.o \
	init_tbls.o input.o  \
	io.o main.o main_menu.o \
	menu.o object_list.o object_tbl.o \
	objects_copy.o \
	objects_detect.o objects_draw.o objects_free.o \
	objects_rotate.o \
	palette.o photodummy.o \
	picture.o popup.o prompt.o \
	read_input.o read_menu.o \
	screen_items.o trans.o trans_subs.o undo.o \
	write_output.o
# attributes.o
# photo.o

sled: $(OBJ)
	@echo "Getting libxgks from" $(CLIBDIR)
	cc -g $(OBJ) $(LIBS) -lm  -o sled

.c.o:	;	cc $(CFLAGS) -c $<

lintinc: $(INC)
	lint $(LFLAGS) $(INC)

lint: $(SRC)
	lint $(LFLAGS) $(SRC)

depend:	
	(co -l Makefile; makedepend $(INCLUDES) *.c; ci -f -q -m"make depend" -u Makefile);

clean: 
	rm *.o core

# DO NOT DELETE THIS LINE -- make depend depends on it.

=== src/progs/stratego/Makefile ===
#
# XXXX-XXX (C) COPYRIGHT IBM CORPORATION 1988
# LICENSED MATERIALS - PROPERTY OF IBM
# REFER TO COPYRIGHT INSTRUCTIONS FORM NUMBER G120-2083
#
# standard makefile for use with U. of I. GKS
#

CFLAGS = -O -I/usr/include/local -I../../include

# gks libraries

LIBS = -lgks -lgksrpc -lrpc -lm

# yourprog depends on its .o file and the gks libraries
# yourprog.o depends on yourprog.c, but make "knows" that.

red: red.o 
	$(CC) $(CFLAGS) -o $@ $@.o $(LIBS)

blue: blue.o 
	$(CC) $(CFLAGS) -o $@ $@.o $(LIBS)

=== src/progs/xhib/Makefile ===
#
# makefile for FORTRAN GKS programs
#

FLIBDIR = /andrew/Xgks/source/xgks/lib
CLIBDIR = /andrew/Xgks/source/xgks/lib
MYLIB  = $(FLIBDIR)/fortxgks.a
GKSLIB = $(CLIBDIR)/libxgks.a
DESTDIR = .

#CFLAGS = -O
CFLAGS = -O -DDEBUG

FFLAGS =  

LFLAGS = 

LLIBS  = ${MYLIB} ${GKSLIB} -lX11 -lm
 
all:		$(DESTDIR)/xhib

$(DESTDIR)/xhib:	xhib.o ${MYLIB} ${GKSLIB}
		@echo "Getting libxgks from" $(CLIBDIR)
		@echo "Getting fortxgks from" $(FLIBDIR)
		@echo "Placing xhib in" $(DESTDIR)
		f77 ${LFLAGS} xhib.o ${LLIBS} -o $@

star:		star.o ${MYLIB} ${GKSLIB}
		f77 ${LFLAGS} star.o ${LLIBS} -o $@

xhib.o:	xhib.f
		f77 ${FFLAGS} -c $<

star.o:		star.f
		f77 ${FFLAGS} -c $<

clean:		
		rm *.o star xhib

=== src/lib/c/gksm/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile for the GKS Metafile (GKSM) backend to XGKS
#
# $Id: Makefile.in,v 2.6 2000/08/01 16:38:22 steve Exp $

LIBNAME		= xgks
REMOTE_LIBRARY	= ../lib$(LIBNAME).a
CPP_X11		= -I/usr/include
INCLUDES	= -I.. -I../../../port/misc $(CPP_X11)
CPPFLAGS	= $(INCLUDES) -I/ichec/packages/hdf5/1.8.2-intel/include -I/ichec/packages/netcdf/4.1-intel/include -I/ichec/packages/hdf5/1.8.2-intel/include -I/ichec/packages/cdms2/5.2-intel/Externals/include   -I/ichec/packages/cdms2/5.2-intel/Externals/HDF5/include
CFLAGS		= -I/ichec/packages/hdf5/1.8.2-intel/include -L/ichec/packages/hdf5/1.8.2-intel/lib -L/ichec/packages/netcdf/4.1-intel/lib -I/ichec/packages/netcdf/4.1-intel/include -I/ichec/packages/cdms2/5.2-intel/Externals/HDF5/include -L/ichec/packages/cdms2/5.2-intel/Externals/HDF5/lib -I/ichec/packages/hdf5/1.8.2-intel/include -L/ichec/packages/hdf5/1.8.2-intel/lib -I/ichec/packages/cdms2/5.2-intel/Externals/include  -L/ichec/packages/cdms2/5.2-intel/Externals/lib   -I/usr/X11R6/include -g -O2 -L/usr/local/lib  -Wl,-R/ichec/packages/cdms2/5.2-intel/Externals/lib   -Wl,-R/ichec/packages/cdms2/5.2-intel/Externals/NetCDF/lib   -Wl,-R/ichec/packages/cdms2/5.2-intel/Externals/HDF5/lib -Wl,-R/ichec/packages/cdms2/5.2-intel/Externals/OpenDAP/lib -fPIC
CC		= icc
LIBOBJS		= gksm.o

MANIFEST	= Makefile.in depend gksm.c gksm.h gksm_implem.h

all::		$(REMOTE_LIBRARY)

# This is the master makefile.  It contains general rules.
#
# $Id: master.mk.in,v 1.1 2000/08/07 23:15:03 emmerson Exp $


.SUFFIXES:
.SUFFIXES:	.so .o .S .ln .i .c .fc .f .F .cc .l .y .cdl .nc .sh

############################################################################
# General Macros:
############################################################################
prefix		= /ichec/packages/cdms2/5.2-intel/Externals
exec_prefix	= /ichec/packages/cdms2/5.2-intel/Externals
AR		= ar
CC		= icc
CPP		= icc -E
CC_MAKEDEPEND	= icc -M
CXX		= @CXX@
FC		= 
LINT		= lint
LINTFLAGS	= -u
MAKEINFO	= @MAKEINFO@
NCDUMP		= @NCDUMP@
NCGEN		= @NCGEN@
NEQN		= neqn
OS		= linux
SHELL		= /bin/sh
TBL		= tbl
WHICH		= @WHICH@



############################################################################
# Recursive make(1)s in Subdirectories:
############################################################################

subdir_dummy_target $(SUBDIR_TARGETS):
	@echo ""
	@dir=`echo $@ | sed 's,/.*,,'`; \
	    target=`echo $@ | sed "s,$$dir/,,"`; \
	    cd $$dir && \
	    echo "making \`$$target' in directory `pwd`" && \
	    echo "" && \
	    $(MAKE) $(MFLAGS) \
		prefix=$(prefix) exec_prefix=$(exec_prefix) \
		$$target || exit 1
	@echo ""
	@echo "returning to directory `pwd`"
	@echo ""

subdirs/all \
subdirs/test \
subdirs/install \
subdirs/clean \
subdirs/distclean:	FORCE
	@case "$(SUBDIRS)" in \
	    '') ;; \
	    *)	filename=`echo $@ | sed 's:.*/::'`; \
		targets=`echo $(SUBDIRS) | tr ' ' '\012' | \
		    sed 's:$$:/'$$filename':'`; \
		$(MAKE) $$targets;; \
	esac


############################################################################
# Compilation:
############################################################################
FORTC		= /ichec/packages/cdms2/src/cdat-5.2-src/build/xgks/port/fortc/fortc

# Compile C++ code.
.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CXXCPPFLAGS) $<

# Compile FORTRAN code.
#
.f.o:
	$(FC) -c $(FFLAGS) $<
.F.o:
	ln -s $< $*.c && \
	    ($(CPP) -DUD_FORTRAN_SOURCE $(CPPFLAGS) $*.c >$*.i && \
	    sed '/^# *[0-9]/d' $*.i > $*.f) || \
	    (rm -f $*.f $*.i $*.c ; exit 1) && \
	    rm $*.i
	$(FC) -c $(FFLAGS) $*.f && rm $*.f $*.c
.F.f:
	ln -s $< $*.c && \
	    ($(CPP) -DUD_FORTRAN_SOURCE $(CPPFLAGS) $*.c >$*.i && \
	    grep -v '^#' $*.i > $@) || \
	    (rm -f $@ $*.i $*.c; exit 1) && \
	    rm $*.i $*.c
.F.i:
	ln -s $< $*.c && \
	    $(CPP) -DUD_FORTRAN_SOURCE $(CPPFLAGS) $*.c >$*.i

# Generate FORTRAN-callable C code.
#
.fc.o:
	$(FORTC) -O $(OS) $< > $*.c \
	    || ( rm -f $*.c; exit 1)
	$(CC) -c $(CFLAGS) $(CPPFLAGS) $*.c
.fc.c:
	$(FORTC) -O $(OS) $< > $@ \
	    || (rm -f $*.c; exit 1)

# Compile assembler code.
#
.S.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) $<

# Compile C code.
#
.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) $<

# Compile lex(1) code.  This rule is here to ensure the use of CPPFLAGS.
# 
.l.o:
	rm -f $*.c
	$(LEX) -t $< > $*.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS) $*.c
	rm $*.c

# C preprocess.  
#   NB: 
#	1. Line numbering information is kept.
#
.c.i:
	$(CPP) $(CPPFLAGS) $< > $@

.cdl.nc:
	$(NCGEN) -o $*.nc $*.cdl

.sh:
	cp $< $@; chmod +x $@

############################################################################
# Lint:
############################################################################
.c.ln:
	$(LINT) -c $(LINTFLAGS) $(CPPFLAGS) $<


############################################################################
# Libraries:
############################################################################
RANLIB		= ranlib
LIBDIR		= $(exec_prefix)/lib
LIB_A		= lib$(LIBRARY).a
LIBFILE		= dummy-libfile		# to silence GNU make(1)

library:		$(LIB_A)

remote_library:		$(REMOTE_LIBRARY)

# The following rule is forced because the library can be created by a
# makefile in another directory prior to the execution of the following rule.
#
$(LIB_A):		$(LIBOBJS) $(LIBOBJS2) FORCE
	$(AR) rcuv $@ $(LIBOBJS)
	case "$(LIBOBJS2)" in \
	'') ;; \
	*)  $(AR) rucv $@ $(LIBOBJS2);; \
	esac
	$(RANLIB) $@

# The following rule is for those makefiles needing to install object
# modules in a library in another directory.  They need only define 
# REMOTE_LIBRARY and LIBOBJS.  The rule is forced for the same reason as the
# $(LIB_A) rule.
#
lib_dummy $(REMOTE_LIBRARY):	$(LIBOBJS) FORCE
	$(AR) rcuv $@ $(LIBOBJS)
	$(RANLIB) $@

installed_libfiles:	FORCE
	@if [ -n "$(LIBFILES)" ]; then \
	    libfiles="$(LIBFILES)"; \
	    for libfile in $$libfiles; do \
		$(MAKE) $(MFLAGS) \
		    LIBDIR=$(LIBDIR) LIBFILE=$$libfile \
		    installed_libfile || exit 1; \
	    done; \
	else \
	    :; \
	fi

installed_library:	FORCE
	@$(MAKE) $(MFLAGS) \
	    LIBDIR=$(LIBDIR) LIBFILE=$(LIB_A) \
	    installed_libfile

# The following target decouples the previous targets from the actual rule;
# thus, eliminating extraneous make(1) messages.
#
installed_libfile:	$(LIBDIR)/$(LIBFILE)

$(LIBDIR)/dummy.a $(LIBDIR)/$(LIBFILE):	$(LIBDIR) $(LIBFILE)
	cp $(LIBFILE) $@

dummy_libdir $(LIBDIR):
	mkdir -p $@
	chmod u+rwx,g+rws,o=rx $@

LIB_SO		= lib$(LIBRARY).so.$(MAJOR_NO).$(MINOR_NO)
LIB_SA		= lib$(LIBRARY).sa.$(MAJOR_NO).$(MINOR_NO)

#library:		FORCE
#	@so_objs=`echo $(LIBOBJS) | sed 's/\.o/.so/g'`; \
#	if [ -z "$$so_objs" ]; then \
#	    :; \
#	else \
#	    $(MAKE) $(MFLAGS) $(LIB_SO) \
#		SO_OBJS="$$so_objs"; \
#	fi
#	@if [ -z "$(SA_OBJS)" ]; then \
#	    :; \
#	else \
#	    $(MAKE) $(MFLAGS) $(LIB_SA); \
#	fi

$(LIB_SO):	$(SO_OBJS)
	ld -assert pure-text $(SO_OBJS) -o $@
$(LIB_SA):	$(SA_OBJS) FORCE
	$(AR) rcuv $@ $(SA_OBJS)

.fc.so:
	$(FORTC) -O $(OS) $< > $*.c \
	    || (rm -f $*.c; exit 1)
	$(CC) -c -o $$$$.o -pic $(CFLAGS) $(CPPFLAGS) $*.c \
	    || (rm -f $$$$.o; exit 1)
	mv $$$$.o $@
.c.so:
	$(CC) -c -o $$$$.o -pic $(CFLAGS) $(CPPFLAGS) $< \
	    || (rm -f $$$$.o; exit 1)
	mv $$$$.o $@

#installed_library:	$(LIBDIR)/$(LIB_SO)
#	@if [ -z "$(SA_OBJS)" ]; then \
#	    :; \
#	else \
#	    $(MAKE) $(MFLAGS) $(LIBDIR)/$(LIB_SA); \
#	fi

$(LIBDIR)/dummy.so $(LIBDIR)/$(LIB_SO):	$(LIBDIR) $(LIB_SO)
	cp $(LIB_SO) $(LIBDIR)/$(LIB_SO)
$(LIBDIR)/dummy.sa $(LIBDIR)/$(LIB_SA):	$(LIBDIR) $(LIB_SA)
	cp $(LIB_SA) $(LIBDIR)/$(LIB_SA)


############################################################################
# Programs:
############################################################################
BINDIR		= $(exec_prefix)/bin
BINFILE		= dummy-binfile

programs:	$(PROGRAMS)
program:
	@if [ -z "$(PROGRAM)" ]; then \
	    : true; \
	else \
	    $(MAKE) $(MFLAGS) $(PROGRAM); \
	fi

dummy_prog $(PROGRAM):	$(OBJS)
	@if [ -r $@.f -o -r $@.F ]; then \
	    ld='$(FC) -o $@ $(FFLAGS)'; \
	elif [ -r $@.cc -o -r $@.C ]; then \
	    ld='$(CXX) -o $@ $(CXXFLAGS)'; \
	else \
	    ld='$(CC) -o $@ $(CFLAGS)'; \
	fi; \
	cmd="$$ld $(LDFLAGS) $(OBJS) $(LIBS)"; \
	echo $$cmd; \
	$$cmd \
	    || (rm -f $@; exit 1)

installed_programs:	FORCE
	@$(MAKE) $(MFLAGS) installed_binfiles \
	    BINDIR=$(BINDIR) BINFILES="$(PROGRAMS)"

installed_binfiles:	FORCE
	@if [ -n "$(BINFILES)" ]; then \
	    binfiles="$(BINFILES)"; \
	    for binfile in $$binfiles; do \
		$(MAKE) $(MFLAGS) \
		    BINDIR=$(BINDIR) BINFILE=$$binfile \
		    installed_binfile || exit 1; \
	    done; \
	else \
	    :; \
	fi

installed_program:	FORCE
	@$(MAKE) $(MFLAGS) \
	    BINDIR=$(BINDIR) BINFILE=$(PROGRAM) \
	    installed_binfile

# The following target decouples the previous targets from the actual rule;
# thus, eliminating extraneous make(1) messages.
#
installed_binfile:	$(BINDIR)/$(BINFILE)

$(BINDIR)/dummy $(BINDIR)/$(BINFILE):	$(BINDIR) $(BINFILE)
	cp $(BINFILE) $@

dummy_bindir $(BINDIR):
	mkdir -p $@
	chmod u+rwx,g+rws,o=rx $@

$(PROGRAM).pure:	$(OBJS)
	purify -best-effort $(PURIFYFLAGS) $(CC) -o $@ \
	    $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $(OBJS) $(LIBS)

pure:	purify

purify:		$(PROGRAM).pure FORCE
	$(MAKE) $(MFLAGS) PROGRAM=$(PROGRAM).pure test.pure.out


############################################################################
# Header files:
############################################################################
INCDIR		= $(prefix)/include
HEADER		= dummy-header		# to silence GNU make(1)

installed_headers:	FORCE
	@if [ -n "$(HEADERS)" ]; then \
	    headers="$(HEADERS)"; \
	    for header in $$headers; do \
		$(MAKE) $(MFLAGS) \
		    INCDIR=$(INCDIR) HEADER=$$header \
		    installed_header || exit 1; \
	    done; \
	else \
	    :; \
	fi

# The following target decouples the previous targets from the actual rule;
# thus, eliminating extraneous make(1) messages.
#
installed_header:	$(INCDIR)/$(HEADER)

$(INCDIR)/dummy.h $(INCDIR)/$(HEADER):	$(INCDIR) $(HEADER)
	cp $(HEADER) $@

dummy_incdir $(INCDIR):
	mkdir -p $@
	chmod u+rwx,g+rws,o=rx $@


############################################################################
# `etc/' files:
############################################################################
ETCDIR	= $(prefix)/etc
ETCFILE	= dummy-etcfile		# to silence GNU make(1)

installed_etcfiles:
	@if [ -n "$(ETCFILES)" ]; then \
	    etcfiles="$(ETCFILES)"; \
	    for etcfile in $$etcfiles; do \
		$(MAKE) $(MFLAGS) \
		    ETCDIR=$(ETCDIR) ETCFILE=$$etcfile \
		    installed_etcfile || exit 1; \
	    done; \
	else \
	    :; \
	fi

# The following target decouples the previous targets from the actual rule;
# thus, eliminating extraneous make(1) messages.
#
installed_etcfile:	$(ETCDIR)/$(ETCFILE)

$(ETCDIR)/dummy $(ETCDIR)/$(ETCFILE):	$(ETCDIR) $(ETCFILE)
	cp $(ETCFILE) $@

dummy_etcdir $(ETCDIR):
	mkdir -p $@
	chmod u+rwx,g+rws,o=rx $@


############################################################################
# Manual Pages:
############################################################################
MANDIR		= $(prefix)/man
MANUAL		= dummy-manual	# to slience GNU make
WHATIS		= whatis
# The following macro should be empty on systems that don't
# allow users to create their own manual-page indexes.
MAKEWHATIS_CMD	= 

installed_manuals:	FORCE
	@if [ -n "$(MANUALS)" ]; then \
	    manuals="$(MANUALS)"; \
	    for manual in $$manuals; do \
		extension=`echo $$manual | sed 's/[^.]*\.//'`; \
		chapter=`echo $$extension | sed 's/\(.\).*/\1/'`; \
		subchapter=`echo $$extension | sed 's/.//'`; \
		mandir=$(MANDIR)/man$$chapter; \
		$(MAKE) $(MFLAGS) \
		    MANDIR=$$mandir MANUAL=$$manual \
		    installed_manual || exit 1; \
	    done; \
	else \
	    :; \
	fi

# The following target decouples the previous targets from the actual rule;
# thus, eliminating extraneous make(1) messages.
#
installed_manual:	$(MANDIR)/$(MANUAL)

# The first sed(1) editing command in the following replaces the expanded

=== src/lib/fortran/bugs/Makefile ===
# Makefile for the Fortran subdirectory of the XGKS package.
#
# $__Header$
#
# $__copyright$

# Anticipated, changeable macros (others might not work):
COPTS		= -g
DESTDIR		= /usr/local/ldm#	assumed to contain "bin", "include",
#					"lib", and "man" subdirectories
FOPTS		= -g
INSTALL		= install
LIBMODE		= 664
LIBTYPE		= sharable#	"nonsharable" or "sharable"
OS		= sunos_4.1.1
RANLIB		= ranlib

MY_MFLAGS	= \
		COPTS="$(COPTS)" \
		DESTDIR="$(DESTDIR)" \
		FOPTS="$(FOPTS)" \
		INSTALL="$(INSTALL)" \
		LIBMODE="$(LIBMODE)" \
		LIBTYPE="$(LIBTYPE)" \
		OS="$(OS)" \
		RANLIB="$(RANLIB)"

# Directories:
BINDIR		= $(DESTDIR)/bin
LIBDIR		= $(DESTDIR)/lib
INCDIR		= $(DESTDIR)/include

INCPATH		= ../src
INCLUDES	= -I$(INCPATH) -I$(INCDIR)/udposix
DEFINES		=
CPPOPTS		= $(INCLUDES) $(DEFINES)
CFLAGS		= $(CPPOPTS) $(COPTS)
FFLAGS		= $(INCLUDES) $(FOPTS)
SHELL		= /bin/sh
INST		= $(INSTALL) -c -m $(LIBMODE)

all:		pick inqstrdev

install:

clean:
	rm -f pick inqstrdev core *.o *.log *.ln *.trace

.SUFFIXES:	.ln .c

.c.ln:
	lint -nuz $(CPPOPTS) -c $< ../llib-lfxgks.ln -lansic -lposix 2>&1

saber:		inqstrdev.o
	#setopt ansi
	#setopt ccargs $(CFLAGS)
	#setopt load_flags $(CFLAGS)
	#unload all
	#load -C $(CFLAGS) inqstrdev.o -L.. -lfxgks -L../../src -lxgks \
	    -lX11 -lm /usr/5lib/libc.a

.SUFFIXES:	.o.f

.f.o:
	$(FC) $(FFLAGS) -c $<

inqstrdev:		inqstrdev.f ../libfxgks.a ../../src/libxgks.a
	$(FC) $(FFLAGS) -o $@ inqstrdev.f -L.. -lfxgks -L../../src -lxgks \
	    -lX11 -lm

pick:		pick.f
	$(FC) $(FFLAGS) -o $@ pick.f -L.. -lfxgks -L../../src -lxgks -lX11 -lm
#	$(FC) $(FFLAGS) -o $@ pick.f -L$(LIBDIR) -lfxgks -L$(LIBDIR) \
	    -lxgks -lX11 -lm

=== debian/changelog ===
xgks (2.6.1+dfsg.2-3ubuntu1) xenial; urgency=medium

  * Avoid -Wint-to-pointer-cast warnings to fix build failure on s390x.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 15 Feb 2016 14:03:18 +0100

xgks (2.6.1+dfsg.2-3) unstable; urgency=medium

  * Fix for faulty assertion from Mike Neish. LP# 1244346.
  * Standards-Version: 3.9.6, no changes required.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 19 Oct 2014 13:48:13 +0100

xgks (2.6.1+dfsg.2-2) unstable; urgency=medium

  * Move to Standards-Version: 3.9.5 
  * Put pkg-config file in multi-arch directory, not /usr/lib/pkgconfig

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 19 Dec 2013 22:12:37 +0000

xgks (2.6.1+dfsg.2-1) unstable; urgency=low

  * New DFSG package; remove inqlun.F code copyright IBM that I can't find
    anyone in IBM to open-source. Replace with inquire_lun.F that I wrote.
    Additional copyright information on other copyright holders
    (UCAR, Steve Pemberton, U. Illinois) included in debian/copyright.
    Closes: #710244, #699066.
  * Put *.a static libraries in m-a directory in -dev package.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 06 Jul 2013 01:21:40 +0100

=== debian/control ===
Source: xgks
Section:  utils
Priority: extra
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 9), gfortran, libx11-dev, m4
Standards-Version: 3.9.6
Homepage:  http://xgks.sourceforge.net

Package: libxgks2
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Replaces: libxgks2
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, libxgks2-data
Description: X11 Graphical Kernel Subsystem, library.
 XGKS is a level 2C implementation of the ANSI Graphical Kernel System (GKS) 
 for use in a Unix environment with the X Window System. It supports the 
 Fortran language binding and a C language binding based on the 1988 draft. 
 .
 GKS is a basic graphics system for applications that produce computer 
 generated two-dimensional pictures on line graphics or raster graphics output
 devices.  It supports operator input and interaction by supplying basic 
 functions for graphical input and picture segmentation and allows storage and
 dynamic modification of pictures.  GKS is no longer under active development, 
 but used in several existing graphical toolkits.
 .
 It is not expected that XGKS will gather any _new_ users, but factoring it out
 simplifies the size and maintenance of some other packages.

Package: libxgks-dev
Section: libdevel
Architecture: any
Depends: libxgks2 ( = ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: pkg-config
Description: X11 Graphical Kernel Subsystem, development files
 XGKS is a level 2C implementation of the ANSI Graphical Kernel System (GKS) 
 for use in a Unix environment with the X Window System. It supports the 
 Fortran language binding and a C language binding based on the 1988 draft. 
 .
 GKS is a basic graphics system for applications that produce computer 
 generated two-dimensional pictures on line graphics or raster graphics output 
 devices.  It supports operator input and interaction by supplying basic  
 functions for graphical input and picture segmentation and allows storage and 
 dynamic modification of pictures.  GKS is no longer under active development, 
 but used in several existing graphical toolkits.
 .
 It is not expected that XGKS will gather any _new_ users, but factoring it out
 simplifies the size and maintenance of some other packages.

Package: libxgks2-data
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Recommends: libxgks2 (= ${binary:Version})
Breaks: libxgks2 (<= 2.6.1+dfsg.1-1)
Description: Font files for the X11 Graphical Kernel Subsystem
 XGKS is a level 2C implementation of the ANSI Graphical Kernel System (GKS)
 for use in a Unix environment with the X Window System. It supports the
 Fortran language binding and a C language binding based on the 1988 draft.
 .
 This package contains fonts needed for libxgks2.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# FIXME:
# Gentoo report a bug that parallel builds don't work. subst -j 1.

# magic debhelper rule
%:
	dh $@ --sourcedirectory=src 

DESTDIR:=`pwd`/debian/tmp/
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)

export FC=gfortran
export CC=gcc
export NEQN="neqn -Tutf8"

override_dh_auto_configure:
	cd src && ./configure --prefix=/usr FC="$(FC)" CC="$(CC)"  NEQN=$(NEQN) \
		CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)"

override_dh_auto_build:
	# build process uses libs in their _installed_ location, so we need these:
	mkdir -p $(DESTDIR)/$(LIBDIR) $(DESTDIR)/usr/bin $(DESTDIR)/usr/include
	$(MAKE) -j1 -C src all DESTDIR=$(DESTDIR)
	# And for multi-arch ...
	sed -e 's@LIBDIR@$(LIBDIR)@' < debian/xgks.pc.in > debian/xgks.pc

override_dh_auto_install:
	$(MAKE) -j1 -C src install DESTDIR=$(DESTDIR)
	$(MAKE) -j1 -C src/progs install DESTDIR=$(DESTDIR)
	$(MAKE) -j1 -C src/port/fortc install DESTDIR=$(DESTDIR)
	$(MAKE) -j1 -C src/port/misc install DESTDIR=$(DESTDIR)
	dh_auto_install
	mkdir -p debian/libxgks2/$(LIBDIR)
	mkdir -p debian/libxgks-dev/$(LIBDIR)/pkgconfig
	cp src/lib/c/libxgks.so* src/port/misc/libudport.so*  debian/libxgks2/$(LIBDIR)
	cp debian/tmp/usr/lib/*.a  debian/libxgks-dev/$(LIBDIR)
	cp debian/xgks.pc debian/libxgks-dev/$(LIBDIR)/pkgconfig
	dh_link -p libxgks2 $(LIBDIR)/libxgks.so.2.6  $(LIBDIR)/libxgks.so.2
	dh_link -p libxgks2 $(LIBDIR)/libudport.so.2.6 $(LIBDIR)/libudport.so.2
	dh_link -p libxgks-dev $(LIBDIR)/libxgks.so.2.6 $(LIBDIR)/libxgks.so
	dh_link -p libxgks-dev $(LIBDIR)/libudport.so.2.6 $(LIBDIR)/libudport.so

override_dh_auto_test:
	@echo "Testing disabled as tests are interactive"

override_dh_clean:
	[ -f src/Makefile ] && $(MAKE) -C src clean || echo "Makefile not present"
	rm -f src/lib/c/mkerrmsg
	rm -f debian/xgks.pc src/doc/xgks.3
	rm -f src/doc/binding/Makefile src/doc/userdoc/Makefile src/lib/c/gksm/Makefile
	dh_clean
